Package org.kapott.hbci.swift

# Class DTAUS.Transaction

java.lang.Object
org.kapott.hbci.swift.DTAUS.Transaction

Enclosing class:
  DTAUS

public class DTAUS.Transaction extends Object
Daten einer einzelnen Transaktion, die in einen Sammelauftrag übernommen werden soll. Vor dem Hinzufügen dieser Transaktion zum Sammelauftrag müssen alle Felder dieses Transaktions-Objektes mit den jeweiligen Auftragsdaten gefüllt werden.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`addkey`
Zusätzlicher Textschlüssel (wird i.d.R.
`String`
`internalCustomerId`
interne Kunden-ID.
`String`
`key`
Textschlüssel für den Auftrag.
`Konto`
`otherAccount`
Konto des Zahlungsempfängers bzw.
`Value`
`value`
Geldbetrag, der bei diesem Einzelauftrag überwiesen (Sammelüberweisungen) bzw.

## Constructor Summary

Constructors
Constructor
Description
`Transaction()`
Erzeugen eine neuen Objektes für die Aufnahme von Daten für eine Transaktion

## Method Summary

Modifier and Type
Method
Description
`void`
`addUsage(String st)`
Hinzufügen einer Verwendungszweckzeile zu diesem Auftrag.
`List<String>`
`getUsage()`
Gibt eine Liste der Verwendungszweckzeilen (String) zurück.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### otherAccount

public Konto otherAccount

Konto des Zahlungsempfängers bzw. des Zahlungspflichtigen. Soll dieser Einzelauftrag in eine Sammelüberweisung eingestellt werden, so muss in diesem Feld die Kontoverbindung des Zahlungsempfängers eingestellt werden. Bei Sammellastschriften ist hier die Kontoverbindung des Zahlungspflichtigen einzustellen.

Von dem verwendeten `Konto`-Objekt müssen mindestens die Felder `blz`, `number` und `name` richtig belegt sein.

### internalCustomerId

public String internalCustomerId
interne Kunden-ID. Wie die verwendet wird weiß ich leider nicht genau, kann im Prinzip leer gelassen werden (ansonsten Maximallänge 11 Zeichen).

### key

public String key
Textschlüssel für den Auftrag. Bei Sammelüberweisungen ist dieses Feld mit '51' vorbelegt, bei Sammellastschriften mit '05'. Dieser Wert kann überschrieben werden, gültige Werte finden sich in den Job-Restrictions (siehe `HBCIJob.getJobRestrictions()`).

### addkey

public String addkey
Zusätzlicher Textschlüssel (wird i.d.R. bankintern verwendet). Dieser Wert muss aus drei Ziffern bestehen und ist mit '000' vorbelegt. Das manuelle Setzen dieses Wertes ist in den meisten Fällen nicht nötig (außer für Leute, die wissen was sie tun ;-) ).

### value

public Value value
Geldbetrag, der bei diesem Einzelauftrag überwiesen (Sammelüberweisungen) bzw. eingezogen (Sammellastschriften) werden soll

## Constructor Details

### Transaction

public Transaction()
Erzeugen eine neuen Objektes für die Aufnahme von Daten für eine Transaktion

## Method Details

### addUsage

public void addUsage(String st)
Hinzufügen einer Verwendungszweckzeile zu diesem Auftrag.

### getUsage

public List<String> getUsage()
Gibt eine Liste der Verwendungszweckzeilen (String) zurück.

### toString

public String toString()

Overrides:
  `toString` in class `Object`